Index: npl/internetserver/dhcp/dhcp.SlackBuild
===================================================================
--- npl/internetserver/dhcp/dhcp.SlackBuild	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/dhcp/dhcp.SlackBuild	(revision 37aaf89e77b20f6e39546bacbb26f2c12ed8f8cb)
@@ -3,7 +3,6 @@
 # Automaticly created by importpackage v1.0
 # Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/n/dhcp/
-# Created at Fri Jan 20 21:46:54 CET 2017
+# Created at 13-1-2021
 
-#DEP:bind
 
 ########### source original slackbuild (hopefully we dont need to modify it)
@@ -23,7 +22,7 @@
         #seperate dev-package
         syn3_move_dev $PKG $PKG""_dev
-        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+        syn3_makepkg $PKG""_dev $NAME""_dev $PKG_VERSION $ARCH || exit 1
 
         #make main package
-        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+        syn3_makepkg $PKG $NAME $PKG_VERSION $ARCH || exit 1
 done
Index: npl/internetserver/dhcp/dhcp.SlackBuild.orig
===================================================================
--- npl/internetserver/dhcp/dhcp.SlackBuild.orig	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/dhcp/dhcp.SlackBuild.orig	(revision 37aaf89e77b20f6e39546bacbb26f2c12ed8f8cb)
@@ -1,5 +1,5 @@
-#!/bin/sh
+#!/bin/bash
 
-# Copyright 2008, 2009, 2010, 2011, 2012  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2017, 2018, 2020, 2021  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -21,4 +21,5 @@
 #  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
+cd $(dirname $0) ; CWD=$(pwd)
 
 PKGNAM=dhcp
@@ -30,5 +31,5 @@
 PKG_VERSION=$(echo $VERSION | tr - _)
 
-NUMJOBS=${NUMJOBS:-" -j7 "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
 
 # Automatically determine the architecture we're building on:
@@ -42,19 +43,26 @@
 fi
 
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$PKG_VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-dhcp
 
 if [ "$ARCH" = "i586" ]; then
-  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686 -fcommon"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "s390" ]; then
-  SLKCFLAGS="-O2"
+  SLKCFLAGS="-O2 -fcommon"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fPIC"
+  SLKCFLAGS="-O2 -fPIC -fcommon"
   LIBDIRSUFFIX="64"
 else
-  SLKCFLAGS="-O2"
+  SLKCFLAGS="-O2 -fcommon"
   LIBDIRSUFFIX=""
 fi
@@ -71,13 +79,10 @@
 find . \
   \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-  -exec chmod 755 {} \; -o \
+  -exec chmod 755 {} \+ -o \
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-  -exec chmod 644 {} \;
-
-cat $CWD/dhcommon-getifaddrs.patch | patch -p1 || exit 1
+  -exec chmod 644 {} \+
 
 # Add PATH setting to /sbin/dhclient-script
 zcat $CWD/dhclient-script.PATH.diff.gz | patch -p1 || exit 1
-
 
 # Fix paths in manual pages
@@ -103,5 +108,6 @@
   --with-srv6-lease-file=/var/state/dhcp/dhcpd6.leases \
   --with-cli-lease-file=/var/state/dhcp/dhclient.leases \
-  --with-cli6-lease-file=/var/state/dhcp/dhclient6.leases
+  --with-cli6-lease-file=/var/state/dhcp/dhclient6.leases || exit 1
+
 # Default pid dir is still /var/run, so no need to declare it
 
@@ -163,6 +169,6 @@
   LICENSE README RELNOTES \
   $PKG/usr/doc/dhcp-$VERSION
-#mv $PKG/etc/dhcpd.conf $PKG/etc/dhclient.conf \
-#  $PKG/usr/doc/dhcp-$VERSION/examples
+mv $PKG/etc/dhcpd.conf $PKG/etc/dhclient.conf \
+  $PKG/usr/doc/dhcp-$VERSION/examples || true
 
 # If there's a ChangeLog, installing at least part of the recent history
Index: npl/internetserver/dhcp/dhcp.build
===================================================================
--- npl/internetserver/dhcp/dhcp.build	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/dhcp/dhcp.build	(revision 37aaf89e77b20f6e39546bacbb26f2c12ed8f8cb)
@@ -1,1 +1,1 @@
-4
+6
Index: npl/internetserver/dhcp/dhcp.depver
===================================================================
--- npl/internetserver/dhcp/dhcp.depver	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ 	(revision )
@@ -1,1 +1,0 @@
-bind	0
Index: npl/internetserver/dhcp/dhcp.md5
===================================================================
--- npl/internetserver/dhcp/dhcp.md5	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/dhcp/dhcp.md5	(revision 37aaf89e77b20f6e39546bacbb26f2c12ed8f8cb)
@@ -1,13 +1,11 @@
-716c22dd7497d1b40822a74c70c4e2e0  ./dhclient-script.PATH.diff.gz
+ea25f738ffd593b3239313a7f17f13f4  ./dhclient-script.PATH.diff.gz
 bbdd080496faf8868ec5927f2b322dd9  ./dhcommon-getifaddrs.patch
-2b5e5b2fa31c2e27e487039d86f83d3f  ./dhcp-4.3.5.tar.gz
-3c2d582bcf2c977b31209232fd8abbe8  ./dhcp_dev.pkg
-7322ca30f1a0ceb09fd1507c76c1668e  ./dhcp.pkg
+3089a1ebd20a802ec0870ae337d43907  ./dhcp-4.4.2-P1.tar.gz
+2964e89be379ebc2936567d424988fef  ./dhcp_dev.pkg
+a822daec63c84cdd7c3551dce638c345  ./dhcp.pkg
 8f16c693d62a9aab9d92d50746c8f80b  ./dhcp-remove-bind-tarball.sh
-9612f32ecb1224da4a2ab04c36f92af1  ./dhcp.SlackBuild
-913ad6afd019462a13f227b361f8ba42  ./dhcp.SlackBuild.log.gz
-b24a314f6c369739a186482cc76a0b92  ./dhcp.SlackBuild.orig
+cc3be1d991b8116df9a04e7a89de9bf3  ./dhcp.SlackBuild
+fb9d532ad32635eba9478688a7f5ebb1  ./dhcp.SlackBuild.log.gz
+da826f365c8423ade2681b6e3d4633ce  ./dhcp.SlackBuild.orig
 4ada88a7b59f183cd8a52ab0b1fbc850  ./doinst.sh.gz
-d99129788515aa0303747198c141dfb4  ./isc-dhcp_4.3.5-3.debian.tar.xz
-bc2a1645a1d85bd372a61eb274b9408a  ./post.dhcp
-4fed5a24da160374c56217077f894784  ./slack-desc
+92d0bcbc28c49d5e7a95148802d87b74  ./slack-desc
Index: npl/internetserver/dhcp/dhcp.version
===================================================================
--- npl/internetserver/dhcp/dhcp.version	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/dhcp/dhcp.version	(revision 37aaf89e77b20f6e39546bacbb26f2c12ed8f8cb)
@@ -1,1 +1,1 @@
-4.3.5
+4.4.2_P1
Index: npl/internetserver/dhcp/dhcp_dev.build
===================================================================
--- npl/internetserver/dhcp/dhcp_dev.build	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/dhcp/dhcp_dev.build	(revision 37aaf89e77b20f6e39546bacbb26f2c12ed8f8cb)
@@ -1,1 +1,1 @@
-4
+6
Index: npl/internetserver/dhcp/dhcp_dev.version
===================================================================
--- npl/internetserver/dhcp/dhcp_dev.version	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/dhcp/dhcp_dev.version	(revision 37aaf89e77b20f6e39546bacbb26f2c12ed8f8cb)
@@ -1,1 +1,1 @@
-4.3.5
+4.4.2_P1
Index: npl/internetserver/dhcp/slack-desc
===================================================================
--- npl/internetserver/dhcp/slack-desc	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/dhcp/slack-desc	(revision 37aaf89e77b20f6e39546bacbb26f2c12ed8f8cb)
@@ -1,7 +1,7 @@
 # HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
+# The "handy ruler" below makes it easier to edit a package description. Line
 # up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
 # customary to leave one space after the ':'.
 
@@ -10,9 +10,9 @@
 dhcp:
 dhcp: This package provides the ISC's DHCP utilities, including both a
-dhcp: server and client.  The DHCP protocol allows a host to contact a
+dhcp: server and client. The DHCP protocol allows a host to contact a
 dhcp: central server which maintains a list of IP addresses which may be
-dhcp: assigned on one or more subnets.   A DHCP client may request an
+dhcp: assigned on one or more subnets.  A DHCP client may request an
 dhcp: address from this pool, and then use it temporarily for communication
-dhcp: on the network.   The DHCP protocol also provides a mechanism whereby
+dhcp: on the network.  The DHCP protocol also provides a mechanism whereby
 dhcp: a client can learn important details about the network to which it is
 dhcp: attached, such as the location of a default router or name server.
